package com.example.myapplication

import android.content.Context
import android.graphics.PorterDuff
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.BaseAdapter
import android.widget.TextView
import android.widget.ImageView


class SpinnerAdapter(private val context: Context, private val colorNames: IntArray) : BaseAdapter() {

    private val inflater = LayoutInflater.from(context)
    override fun getView(position: Int, convertView: View?, parent: ViewGroup?): View {
        val view: View
        val viewHolder: ItemHolder
        if (convertView == null) {
            view = inflater.inflate(R.layout.drop_down_view, parent, false)
            viewHolder = ItemHolder(view)
            view.tag = viewHolder
        } else {
            view = convertView
            viewHolder = view.tag as ItemHolder
        }
        viewHolder.title.text = colorNames[position].toString()
        viewHolder.color.background.setColorFilter(colorNames[position], PorterDuff.Mode.ADD)
        return view
    }

    override fun getItem(position: Int): Any? {
        return colorNames[position]
    }

    override fun getItemId(position: Int): Long {
        return 0
    }

    override fun getCount(): Int {
        return colorNames.size
    }

    private class ItemHolder(row: View?) {
        val title: TextView = row?.findViewById(R.id.item_drop_down_title) as TextView
        val color: ImageView = row?.findViewById(R.id.item_drop_down_color) as ImageView

    }
}