package com.example.myapplication

import android.content.Context
import android.graphics.PorterDuff
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.BaseAdapter
import android.widget.ImageView
import android.widget.TextView

class SpinnerAdvanceAdapter(
    private val context: Context,
    private val colors: ArrayList<com.example.myapplication.Color>
) :
    BaseAdapter() {
    private val inflater = LayoutInflater.from(context)

    override fun getView(position: Int, convertView: View?, parent: ViewGroup?): View {
        val view: View
        val viewHolder: ItemHolder
        if (convertView == null) {
            view = inflater.inflate(R.layout.drop_down_view, parent, false)
            viewHolder = ItemHolder(view)
            view.tag = viewHolder
        } else {
            view = convertView
            viewHolder = view.tag as ItemHolder
        }
        val color = colors[position]
        viewHolder.title.text = color.name
        viewHolder.color.background.setColorFilter(
            android.graphics.Color.parseColor("#" + color.value),
            PorterDuff.Mode.ADD
        )
        Log.i("LOGGER", "Key : ${color.name} Value : ${color.value}")

        return view
    }

    override fun getItem(position: Int): Color? {
        return colors[position]
    }

    override fun getItemId(position: Int): Long {
        return 0
    }

    override fun getCount(): Int {
        return colors.size
    }

    private class ItemHolder(row: View?) {
        val title: TextView = row?.findViewById(R.id.item_drop_down_title) as TextView
        val color: ImageView = row?.findViewById(R.id.item_drop_down_color) as ImageView
    }
}